<?php
session_start();
include "verifica.php";

@$xnombres=$_REQUEST['xnombres'];
@$xvalor=$_REQUEST['xvalor'];
@$xorden=$_REQUEST['xorden'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$bil = new Billetes;

switch($xaccion){
	
	case "adicionar": 
		if($bil->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Denominación creada satisfactoriamente.")
			parent.location.href="../billetes.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($bil->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Denominación modificada satisfactoriamente.")
			parent.location.href="../billetes.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($bil->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Denominación eliminada satisfactoriamente.")
			parent.location.href="../billetes.php";
			</script>			
			<?php
			
		}		
		break;

	case "activar":
		if($bil->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Billetes{

	//Adiciona nuevo
	function adicionar($conexion){
		global $xnombres, $xvalor, $xaccion, $xid, $xusuario_sesion, $xorden;

		$r = mysqli_query($conexion,"insert into billetes (bil_nombre, 
												  bil_valor,
												  bil_usu_crea,
												  bil_orden)
										values ('$xnombres', 
												'$xvalor',
												'$xusuario_sesion',
												'$xorden');");
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica
	function modificar($conexion){
		global $xnombres, $xvalor, $xaccion, $xid, $xusuario_sesion, $xorden;		

		$r = mysqli_query($conexion,"update billetes set bil_nombre = '$xnombres', 
												  bil_valor = '$xvalor',
												  bil_orden = '$xorden',												  
												  bil_usu_modifica = '$xusuario_sesion'
										where bil_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina
	function eliminar($conexion){
		global $xnombres, $xvalor, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from billetes where bil_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa
	function activar($conexion){
		global $xestado, $xaccion, $xid;		

		$r = mysqli_query($conexion,"update billetes set bil_estado = '$xestado',
												  			bil_usu_activa = '$xusuario_sesion'		 
															where bil_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
